#222 mmegeoip module loading problem

1.6.x
closed-fixed
modules (454)
5
2009-12-11
2009-11-25
Anonymous
No

opensips -c -f /etc/opensips/opensips.cfg
Nov 25 11:09:26 [10240] ERROR:core:sr_load_module: could not open module <//lib/opensips/modules/mmgeoip.so>: //lib/opensips/modules/mmgeoip.so: undefined symbol: GeoIP_time_zone_by_country_and_region
Nov 25 11:09:26 [10240] CRITICAL:core:yyerror: parse error in config file, line 68, column 13-14: failed to load module
Nov 25 11:09:26 [10240] ERROR:core:set_mod_param_regex: no module matching mmgeoip found
Nov 25 11:09:26 [10240] CRITICAL:core:yyerror: parse error in config file, line 272, column 19-20: Parameter <mmgeoip_city_db_path> not found in module <mmgeoip> - can't set
Nov 25 11:09:26 [10240] CRITICAL:core:yyerror: parse error in config file, line 295, column 32-49: syntax error
Nov 25 11:09:26 [10240] CRITICAL:core:yyerror: parse error in config file, line 295, column 49-50: bad arguments for command <mmg_lookup>
Nov 25 11:09:26 [10240] ERROR:core:main: bad config file (4 errors)

loadmodule "mmgeoip.so"

modparam("mmgeoip", "mmgeoip_city_db_path","/usr/share/GeoIP/GeoLiteCity.dat")

Discussion

  • Bogdan-Andrei Iancu

    • assigned_to: nobody --> ekobi
     
  • Kobi Eshun

    Kobi Eshun - 2009-11-30

    This patch should fix the problem. Please confirm it works for you, and I'll commit. Cheers,
    --
    kobi

     
  • Bogdan-Andrei Iancu

    I had the same issue and your patch did solve the issue. I applied the patch on SVN.

    Thanks and regards,
    Bogdan

     
  • Bogdan-Andrei Iancu

    • status: open --> closed-fixed
     

Log in to post a comment.